/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Payment information provided by the API caller. This information is mandatory in the case where AXA managed the payment.
 */
@ApiModel(description = "Payment information provided by the API caller. This information is mandatory in the case where AXA managed the payment.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model186 {
  @SerializedName("type")
  private String type = null;

  @SerializedName("psp_transaction_id")
  private String pspTransactionId = null;

  @SerializedName("iban")
  private String iban = null;

  public Model186 type(String type) {
    this.type = type;
    return this;
  }

   /**
   * Payment mode selected. Expected (CREDIT_CARD, DEBIT_CARD, ELECTRONIC_TRANSFERT, VIRTUAL_CREDIT_CARD)
   * @return type
  **/
  @ApiModelProperty(example = "CREDIT_CARD", value = "Payment mode selected. Expected (CREDIT_CARD, DEBIT_CARD, ELECTRONIC_TRANSFERT, VIRTUAL_CREDIT_CARD)")
  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public Model186 pspTransactionId(String pspTransactionId) {
    this.pspTransactionId = pspTransactionId;
    return this;
  }

   /**
   * Payment reference on the payment provider system.
   * @return pspTransactionId
  **/
  @ApiModelProperty(value = "Payment reference on the payment provider system.")
  public String getPspTransactionId() {
    return pspTransactionId;
  }

  public void setPspTransactionId(String pspTransactionId) {
    this.pspTransactionId = pspTransactionId;
  }

  public Model186 iban(String iban) {
    this.iban = iban;
    return this;
  }

   /**
   * Customer&#39;s International Bank Account Number.
   * @return iban
  **/
  @ApiModelProperty(value = "Customer's International Bank Account Number.")
  public String getIban() {
    return iban;
  }

  public void setIban(String iban) {
    this.iban = iban;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model186 model186 = (Model186) o;
    return Objects.equals(this.type, model186.type) &&
        Objects.equals(this.pspTransactionId, model186.pspTransactionId) &&
        Objects.equals(this.iban, model186.iban);
  }

  @Override
  public int hashCode() {
    return Objects.hash(type, pspTransactionId, iban);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model186 {\n");
    
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("    pspTransactionId: ").append(toIndentedString(pspTransactionId)).append("\n");
    sb.append("    iban: ").append(toIndentedString(iban)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

